#ifndef UTILS_H
#define UTILS_H

#include <QString>

class SystemInfo
{
public:
    // 操作系统
    static QString m_os;
    // 架构
    static QString m_arch;
};


/**
 * @brief 工具类
 */
class Utils
{
public:
    static QString getVersion();

    /**
     * @brief getArch
     * @return 架构，arch命令的结果，如：x86_64
     */
    static QString getArch();

    /**
     * @brief getOs
     * @return 操作系统名字, 如：
     *         Kylin-Desktop V10-SP1
     *         Build 20210407
     */
    static QString getOs();


    /**
     * @brief 初始化系统信息
     */
    static void initSystemInfo();


private:
    static QString m_burnerVersion;

};

#endif // UTILS_H
